<script lang="ts">
import Vue from 'vue';
import PressCard from './press-card.vue';
import PressTile from './press-tile.vue';

export default Vue.extend({
  name: 'PressSection',
  components: {
    PressCard,
    PressTile,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer :id="data.id" class="press-section">
    <div class="press-section__heading">
      <div class="press-section__img">
        <img v-if="data.image" :src="data.image.src" :alt="data.image.alt" />
      </div>
      <SlpTypography variant="heading4-bold" tag="h2" class="slp-mb-8">{{
        data.header
      }}</SlpTypography>
      <SlpTypography
        v-if="data.description"
        variant="body2"
        v-html="$md.render(data.description)"
      />
    </div>
    <div v-if="data.id !== 'get-in-touch'" class="press-section__grid">
      <PressCard
        v-for="item in data.items"
        :key="item.title"
        :data="item"
      ></PressCard>
    </div>
    <div v-else class="press-section__tiles-container">
      <PressTile
        v-for="item in data.items"
        :key="item.title"
        :data="item"
      ></PressTile>
    </div>
    <div class="slp-flex slp-justify-content-center slp-mt-32">
      <SlpButton
        v-if="data.cta"
        :variant="data.cta.variation || 'primary'"
        class=""
        :href="data.cta?.externalUrl"
        :data-ga-name="data.cta.dataGaName"
        :data-ga-location="data.cta.dataGaLocation"
      >
        {{ data.cta.text }}
      </SlpButton>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.press-section {
  padding-top: $spacing-96;
  @media (min-width: $breakpoint-md) {
    padding-top: 0;
    padding-left: $spacing-96;
    padding-right: $spacing-96;
    &:not(:first-of-type) {
      padding-top: $spacing-96;
    }
  }
  &__img {
    height: 78px;
    margin-bottom: $spacing-24;
    img {
      height: 100%;
    }
  }
  &__heading {
    text-align: center;
    margin-bottom: $spacing-16;
    @media (min-width: $breakpoint-md) {
      margin-bottom: $spacing-64;
    }
  }
  &__grid {
    display: grid;
    grid-template-columns: 1fr;

    @media (min-width: $breakpoint-md) {
      grid-template-columns: 1fr 1fr;
    }
  }
  &__tiles-container {
    display: grid;
    grid-template-columns: 1fr;

    @media (min-width: $breakpoint-md) {
      gap: 32px;
      grid-template-columns: 1fr 1fr 1fr;
    }
  }
}
</style>
